Bug 188313 - mailx man page does not match /bin/mailx
Summary: mailx man page does not match /bin/mailx
Status: CLOSED WONTFIX
Alias: None
Product: Fedora
Classification: Fedora
Component: redhat-lsb   
(Show other bugs)
Version: 10
Hardware: All Linux
medium
low
Target Milestone: ---
Assignee: Hao Liu
QA Contact:
URL:
Whiteboard:
Keywords:
: 443350 (view as bug list)
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2006-04-07 19:56 UTC by John Saalwaechter
Modified: 2009-12-18 05:52 UTC (History)
4 users (show)

Fixed In Version: redhat-lsb-3.1-21
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
: 504899 (view as bug list)
Environment:
Last Closed: 2009-12-18 05:52:03 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description John Saalwaechter 2006-04-07 19:56:47 UTC
Description of problem:
The /bin/mailx symlink to mail in the redhat-lsb package does not match the man
page for mailx supplied by the man-pages package.

Version-Release number of selected component (if applicable):
redhat-lsb-3.0-9.2
man-pages-2.21-1

How reproducible:
always

Steps to Reproduce:
1. run "man mailx"
2. use that information to try to use /bin/mailx
3.
  
Actual results:

For example, running "mailx -e" produces:
mailx: invalid option -- e
Usage: mail [-iInv] [-s subject] [-c cc-addr] [-b bcc-addr] to-addr ...
            [-- sendmail-options ...]
       mail [-iInNv] -f [name]
       mail [-iInNv] [-u user]

Expected results:

Behavior from mailx man page.

Additional info:

Comment 1 Till Maas 2008-01-07 02:12:53 UTC
still an issue in Fedora 7

Comment 2 Bug Zapper 2008-05-14 12:00:47 UTC
This message is a reminder that Fedora 7 is nearing the end of life. Approximately 30 (thirty) days from now Fedora will stop maintaining and issuing updates for Fedora 7. It is Fedora's policy to close all bug reports from releases that are no longer maintained. At that time this bug will be closed as WONTFIX if it remains open with a Fedora 'version' of '7'.

Package Maintainer: If you wish for this bug to remain open because you plan to fix it in a currently maintained version, simply change the 'version' to a later Fedora version prior to Fedora 7's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that we may not be able to fix it before Fedora 7 is end of life. If you would still like to see this bug fixed and are able to reproduce it against a later version of Fedora please change the 'version' of this bug. If you are unable to change the version, please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's lifetime, sometimes those efforts are overtaken by events. Often a more recent Fedora release includes newer upstream software that fixes bugs or makes them obsolete. If possible, it is recommended that you try the newest available Fedora distribution to see if your bug still exists.

Please read the Release Notes for the newest Fedora distribution to make sure it will meet your needs:
http://docs.fedoraproject.org/release-notes/

The process we are following is described here: http://fedoraproject.org/wiki/BugZappers/HouseKeeping

Comment 3 Peter van Egdom 2008-05-18 11:59:52 UTC
Reproducable in Fedora release 9 (Sulphur).

Comment 4 Ivana Varekova 2008-06-11 12:41:57 UTC
*** Bug 443350 has been marked as a duplicate of this bug. ***

Comment 5 Ivana Varekova 2008-06-19 14:15:56 UTC
In rawhide branch there is new version of mail package -mailx-12.3-0.fc10 and
this problem should be fixed there. Is there any posix problem in this version?

Comment 6 Lawrence Lim 2008-06-20 16:18:29 UTC
The reason why a symlink was created earlier was because we dont have mailx in
the distribution and it was required in the spec. Hence, creating a symlink was
a workaround to the situation. If there's a new mailx package, I guess we should
remove the symlink as well.

Comment 7 Hao Liu 2008-08-11 01:54:33 UTC
The symlink from mailx to mail is removed in redhat-lsb-3.1-21.

Comment 8 Bug Zapper 2009-06-09 22:08:12 UTC
This message is a reminder that Fedora 9 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 9.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '9'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 9's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 9 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping

Comment 9 JW 2009-06-10 00:38:35 UTC
Applicable to FC10 but I don't seem to be able to make the change.

Comment 10 Bug Zapper 2009-11-18 09:15:02 UTC
This message is a reminder that Fedora 10 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 10.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '10'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 10's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 10 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping

Comment 11 Bug Zapper 2009-12-18 05:52:03 UTC
Fedora 10 changed to end-of-life (EOL) status on 2009-12-17. Fedora 10 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.